pro check_dirs,dir
  
;    spawn,'test -d '+dir+' ; echo $?',result
    fi=file_info(dir)
;    if result(0) ne '0' then begin
    if fi.exists eq 0 or fi.directory eq 0 then begin
      print,'Directory '+dir+' not existing. Please create it.'
;      reset
    endif

end
